int handle_count(void);
int lib_msleep(int x);
char *lib_showtime(void);
char *lib_web_date(void);
char *ncpy(char *dst, const char *src, int len);
int get_line(char *item, int *upto, char *bf, int bfsz);
char *file_feed(char *site);
char *file_tpl(char *s);
char *file_root(char *s);
char *file_user(int uid);
int token_split(char *s, char *p[], char *sep, int tmax);
int lib_mkdir(char *s);
int host_id(void);
int get_line_lf(char *item, int *upto, char *bf, int bfsz);
char *file_item_idx(int gid, int fn);
char *file_item_itm(int gid, int fn);
char *lib_encode(char *s);
char *int_to_str(int n);
char *strstrnc(char *str, char *substr);
char *bar_decode(char *s);
char *bar_encode(char *s);
char *file_user_file(int uid, char *fname);
char *file_config(char *s);
char *get_word(char *s, int x);
int strcmpnc(char *s1, char *s2);
char *file_send(char *s);
char *file_sendtmp(char *s);
int file_mtime(char *s);
int lib_msec(void); /* Return time in msec if possible */

int lib_exists(char *s);
char *file_bque(int x);
char *file_work(char *s);
char *file_dnews(void);
char *mystrstr(const char *s, const char *w);
char *file_spool(int n);
char *file_log(char *s);
char *file_feedlog(char *site);
int lib_filesize(char *s);
int file_size(FILE *f);
